package com.ruoyi.hezhi.mapper;

import com.ruoyi.hezhi.domain.TbExam;
import com.ruoyi.hezhi.domain.TbExamCourse;
import com.ruoyi.hezhi.domain.vo.CareerExamListVO;

import java.util.List;
import java.util.Map;

/**
 * 考试Mapper接口
 *
 * @author ruoyi
 * @date 2024-11-12
 */
public interface TbExamMapper
{
    /**
     * 查询考试
     *
     * @param examId 考试主键
     * @return 考试
     */
    public TbExam selectTbExamByExamId(Long examId);

    /**
     * 查询考试列表
     *
     * @param tbExam 考试
     * @return 考试集合
     */
    public List<TbExam> selectTbExamList(TbExam tbExam);

    /**
     * 查询考试列表
     *
     * @param courseId 课程ID
     * @return 考试集合
     */
    public List<TbExam> selectTbExamListByCourseId(Long courseId);

    /**
     * 查询考试列表
     *
     * @return 考试集合
     */
    public List<TbExam> selectTbExamListAll();

    /**
     * 查询考试列表
     *
     * @param tbExam 考试
     * @return 考试集合
     */
    public List<TbExam> selectTbExamListByName(TbExam tbExam);

    /**
     * 新增考试
     *
     * @param tbExam 考试
     * @return 结果
     */
    public int insertTbExam(TbExam tbExam);

    /**
     * 修改考试
     *
     * @param tbExam 考试
     * @return 结果
     */
    public int updateTbExam(TbExam tbExam);

    /**
     * 删除考试
     *
     * @param examId 考试主键
     * @return 结果
     */
    public int deleteTbExamByExamId(Long examId);

    /**
     * 批量删除考试
     *
     * @param examIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbExamByExamIds(Long[] examIds);

    /**
     * 职业考试列表
     *
     * @param params 参数
     * @return 职业考试列表
     */
    public List<CareerExamListVO> getCareerExamList(Map<String, Object> params);

    /**
     * 职业考试详情
     *
     * @param params 参数
     * @return 职业考试详情
     */
    public Map<String, Object> getCareerExamInfo(Map<String, Object> params);
}
